For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
      • AstroFully-managed data operations, powered by Apache Airflow.
      • Astro Private CloudRun Airflow-as-a-service in your environment.
      • Professional ServicesExpert Airflow services for your enterprise's success.
    • Tools
      • Cosmos
      • Orbiter
      • CLI
      • AI SDK
      • Agents
      • Blueprint
      • UpdatesThe State of Airflow 2026See the insights from over 5,800 data practitioners in the full report. Download Now ➔
  • Customers
  • Docs
    • Insights
      • Blog
      • Webinars
      • Resource Library
      • Events
    • Education
      • Academy
      • What is Airflow?
  • Pricing
Get Started Free
  • Astro API v1
    • Overview
    • Get started
    • Versioning and support
    • Migrate to v1
    • Deploy with the API
  • API Reference
      • POSTConfigure a hibernation override for a deployment
      • POSTCreate a Deployment
      • DELDelete a Deployment
      • DELDelete a hibernation override for a deployment
      • GETGet a Deployment
      • GETGet Deployment logs
      • GETList Deployments
      • POSTUpdate a Deployment
    • Changelog
    • Book Office Hours

Product

  • Platform Overview
  • Astro
  • Astro Observe
  • Astro Private Cloud
  • Security & Trust
  • Pricing

Tools & Services

  • Cosmos
  • Docs
  • Professional Services
  • Product Updates

Use Cases

  • AI Ops
  • Data Observability
  • ETL/ELT
  • ML Ops
  • Operational Analytics
  • All Use Cases

Industries

  • Financial Services
  • Gaming
  • Retail
  • Manufacturing
  • Healthcare
  • All Industries

Resources

  • Academy
  • eBooks & Guides
  • Blog
  • Webinars
  • Events
  • The Data Flowcast Podcast
  • All Resources

Airflow

  • What is Airflow
  • Airflow on Astro
  • Airflow 3.0
  • Airflow Upgrades
  • Airflow Use Cases
  • Airflow 2.x End of Life

Company

  • Our Story
  • Customers
  • Newsroom
  • Careers
  • Contact

Support

  • Knowledge Base
  • Status
  • Contact Support
GitHubYouTubeLinkedInx
  • Legal
  • Privacy
  • Terms of Service
  • Consent Preferences

  • Do Not Sell or Share My Personal information
  • Limit the Use Of My Sensitive Personal Information

Apache Airflow®, Airflow, and the Airflow logo are trademarks of the Apache Software Foundation. Copyright © Astronomer 2026. All rights reserved.

LogoLogo
API ReferenceDeployment

Get Deployment logs

GET
https://api.astronomer.io/v1/organizations/:organizationId/deployments/:deploymentId/logs
GET
/v1/organizations/:organizationId/deployments/:deploymentId/logs
$curl -G https://api.astronomer.io/v1/organizations/organizationId/deployments/deploymentId/logs \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d sources=scheduler \
> -d sources=worker \
> -d limit=100 \
> -d offset=0 \
> -d range=3600 \
> -d maxNumResults=1000 \
> -d searchId=search-abc123 \
> -d searchText=error \
> --data-urlencode startDate=2024-06-01T00:00:00Z \
> --data-urlencode endDate=2024-06-01T01:00:00Z
1{
2 "limit": 100,
3 "maxNumResults": 1000,
4 "offset": 0,
5 "resultCount": 1,
6 "results": [
7 {
8 "raw": "2024-06-01 00:15:23,456 INFO Scheduler started successfully.",
9 "source": "scheduler",
10 "timestamp": 1685572523.456
11 }
12 ],
13 "searchId": "search-abc123"
14}
Get logs for an Astro Deployment. You must specify at least one log source.
Was this page helpful?
Previous

List Deployments

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

organizationIdstringRequired
The ID of the Organization to which the Deployment belongs.
deploymentIdstringRequired
The ID of the Deployment to get logs for.

Query parameters

sourceslist of enumsRequired
Log sources to retrieve.
limitintegerOptional>=1Defaults to 500
Maximum number of log entries per page.
offsetintegerOptional>=0Defaults to 0
Offset for pagination.
rangeintegerOptional>=60Defaults to 3600
Range of the log search in seconds.
maxNumResultsintegerOptional>=1Defaults to 10000
Maximum total number of results across all pages.
searchIdstringOptional
Search ID for paginated results.
searchTextstringOptional
Text to filter logs by.
startDatestringOptionalformat: "date-time"

Start of time range (RFC3339). Must be used with endDate.

endDatestringOptionalformat: "date-time"

End of time range (RFC3339). Must be used with startDate.

Response

OK
limitinteger>=1
The requested log entry limit.
maxNumResultsinteger>=0
The maximum number of results.
offsetinteger>=0
The offset of the current results page.
resultCountinteger>=0
The number of results returned.
resultslist of objects
The log entries.
searchIdstring
The search ID for pagination.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error